import request from "@/router/axios";

export function fetchList(query) {
  return request({
    url: "/admin/supervision/warn/rule/page",
    method: "get",
    params: query
  });
}

export function supervisionWarnRuleCreateApi(data) {
  return request({
    url: "/admin/supervision/warn/rule/create",
    method: "post",
    data
  });
}

export function supervisionWarnRuleUpdateApi(data) {
  return request({
    url: "/admin/supervision/warn/rule/update",
    method: "post",
    data
  });
}

// 预警信息展示
export function fetchWarnList(query) {
  return request({
    url: "/admin/supervision/warn/page",
    method: "get",
    params: query
  });
}

// 阅读信息
export function supervisionWarnReadApi(data) {
  return request({
    url: "/admin/supervision/warn/read",
    method: "post",
    data
  });
}
